import { ChangeDetectorRef, OnChanges, OnDestroy, OnInit, SimpleChanges } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { GlobalStateService } from 'tango-app-ui-global';
import { ToastService } from 'tango-app-ui-shared';
import { TraxService } from '../../../services/trax.service';
import * as i0 from "@angular/core";
export declare class MonthlyperformanceDatepickerComponent implements OnChanges, OnDestroy, OnInit {
    private route;
    private router;
    gs: GlobalStateService;
    private changeDetector;
    private toast;
    private TraxService;
    currentYear: number;
    currentMonth: number;
    dayNames: string[];
    monthNames: string[];
    headerData: any;
    performanceData: any[];
    private detach;
    private destroy$;
    receivedData: string;
    selectedvalue: any;
    monthlyPeformanceLoading: boolean;
    monthlyPeformanceNoData: boolean;
    monthlyperformce: string;
    monthlyToDate: any;
    userEmailes: any;
    constructor(route: ActivatedRoute, router: Router, gs: GlobalStateService, changeDetector: ChangeDetectorRef, toast: ToastService, TraxService: TraxService);
    ngOnDestroy(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    getMonthlyPeformanceData(): void;
    getDaysInMonth(): number[];
    getEmptyDays(): number[];
    getDayClass(day: number): string;
    previousMonth(): void;
    nextMonth(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MonthlyperformanceDatepickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MonthlyperformanceDatepickerComponent, "lib-monthlyperformance-datepicker", never, { "monthlyperformce": { "alias": "monthlyperformce"; "required": false; }; }, {}, never, never, false, never>;
}
